Datum transformation selection overview not informative  

2014-04-03 08:40 AM - Robert Nuske

Status: Closed

Priority: High

Assignee:

Category: Projection Support

Affected QGIS version:2.2.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18485

Description

Selecting a datum transformation is difficult with the information currently provided in the pop-up dialog. At the moment only some weird

numbers (coefficents for src and target transform) are shown. Some target transforms (e.g. ETRS89) are even blank (see attached image

datum_transformation_popup.png).

Its almost impossible for an uninitiated user to pick a transform.

Valuable information, such as Source and Target CRS, Remarks and Scope from the EPSG database, are hidden in a mouseover

popup. It would be a substantial improvement if this information would be promoted and displayed in the main datum transformation

selection dialog.

Associated revisions

Revision cc4fc5a0 - 2014-10-26 04:47 PM - Jürgen Fischer

vector file writer: avoid duplicate destruction of coordinate transform in case of exceptions (fixes #9993)

History

#1 - 2014-06-28 07:45 AM - Jürgen Fischer

- Target version changed from Version 2.4 to Future Release - High Priority

#2 - 2014-10-26 08:49 AM - Jürgen Fischer

- Status changed from Open to Closed

Fixed in changeset commit:"cc4fc5a01f5559e111faff4b17be837014185ffd".

#3 - 2014-10-26 09:36 AM - Jürgen Fischer

oops, the commit is actually fixing #9992 - but this one was meanwhile fixed too.
